Package org.eclipse.net4j.util.concurrent

## Class TrackableTimerTask

- java.lang.Object
- - java.util.TimerTask
  - - org.eclipse.net4j.util.concurrent.TrackableTimerTask

- All Implemented Interfaces:
    `java.lang.Runnable`
  Direct Known Subclasses:
    `AbstractMonitor.AsyncTimerTask`

      public abstract class TrackableTimerTask
      extends java.util.TimerTask

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `TRACK_TIMER_TASKS` | The boolean value of the system property `org.eclipse.net4j.util.concurrent.TrackTimerTasks`.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TrackableTimerTask()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cancel()` |
    `static java.util.Collection<java.lang.Exception>` | `getConstructionStackTraces​(long minLifeTimeMillis)` |
    `static void` | `logConstructionStackTraces​(long minLifeTimeMillis)` |

    - ### Methods inherited from class java.util.TimerTask

      `run, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRACK_TIMER_TASKS

          public static final boolean TRACK_TIMER_TASKS

      The boolean value of the system property `org.eclipse.net4j.util.concurrent.TrackTimerTasks`.

  - ### Constructor Detail

    - #### TrackableTimerTask

          protected TrackableTimerTask()

  - ### Method Detail

    - #### cancel

          public boolean cancel()

      Overrides:
        `cancel` in class `java.util.TimerTask`

    - #### getConstructionStackTraces

          public static java.util.Collection<java.lang.Exception> getConstructionStackTraces​(long minLifeTimeMillis)

    - #### logConstructionStackTraces

          public static void logConstructionStackTraces​(long minLifeTimeMillis)